package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.TaMiniappTheme;
import com.huiju.estateagents.mapper.TaMiniappIconMapper;
import com.huiju.estateagents.mapper.TaMiniappThemeMapper;
import com.huiju.estateagents.service.ITaMiniappThemeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class TaMiniappThemeServiceImpl extends ServiceImpl<TaMiniappThemeMapper, TaMiniappTheme> implements ITaMiniappThemeService {
    @Autowired
    TaMiniappThemeMapper taMiniappThemeMapper;

    @Autowired
    TaMiniappIconMapper taMiniappIconMapper;

    @Override
    public IPage<TaMiniappTheme> getThemeList(Integer orgId, Boolean includeNotUsed, Integer pageNum, Integer pageSize) {
        QueryWrapper<TaMiniappTheme> queryTheme = new QueryWrapper<>();
        queryTheme.eq("org_id", orgId);

        if (includeNotUsed) {
            queryTheme.gt("status", CommConstant.STATUS_DELETE);
        } else {
            queryTheme.eq("status", CommConstant.STATUS_NORMAL);
        }

        IPage<TaMiniappTheme> result = this.page(new Page<>(pageNum, pageSize), queryTheme);
        if (result.getSize() > 0) {
            for (TaMiniappTheme theme: result.getRecords()) {
                theme.setIconList(taMiniappIconMapper.getListByTheme(theme.getThemeId()));
            }
        }

        return result;
    }
}
